List recent deliveries
The most recent delivery attempts for the endpoint, newest first.
GET
/webhooks/{id}/deliveriesPath parameters
idstringrequiredResponses
200OK
Array of
objectidstringrequiredeventIdstringrequiredeventTypestringrequiredstatusstringrequiredAllowed:
successfailedresponseStatusinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anyattemptsintegerrequiredmin -9007199254740991 · max 9007199254740991
createdAtstring<date-time>required401401
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Authentication required. Pass an organization API key in the `x-api-key` header."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany404404
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "No webhook endpoint with that id in this organization."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany429429
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "The organization's API request limit for this period has been reached."
dataanyobject
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Too many requests. Try again shortly."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataanyRequest
curl -X GET "https://stetcms.com/api/v1/webhooks/string/deliveries"const response = await fetch("https://stetcms.com/api/v1/webhooks/string/deliveries", {
method: "GET"
});Response
[
{
"id": "string",
"eventId": "string",
"eventType": "string",
"status": "success",
"responseStatus": 0,
"attempts": 0,
"createdAt": "2024-01-01T00:00:00Z"
}
]{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required. Pass an organization API key in the `x-api-key` header.",
"data": "string"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "No webhook endpoint with that id in this organization.",
"data": "string"
}{
"defined": true,
"code": "QUOTA_EXCEEDED",
"status": 429,
"message": "The organization's API request limit for this period has been reached.",
"data": "string"
}